# Python document
# Piedra, papel o tijera

# Limpieza de pantalla
import os
import random
import time


def limpiar_pantalla():
    # Windows
    if os.name == "nt":
        os.system("cls")
    # Unix/Linux/Mac
    else:
        os.system("clear")


limpiar_pantalla()
print("PIEDRA, PAPEL O TIJERA")
opciones = ["Piedra", "Papel", "Tijera"]
usuario = int(input("\n0. Piedra.\n1. Papel.\n2. Tijera.\nElije una opción:"))
while usuario not in [0, 1, 2]:
    usuario = int(
        input(
            "\nOpción no válida. Inténtalo de nuevo:\n"
            "0.Piedra.\n1. Papel.\n2. Tijera.\n"
        )
    )
opcusuario = opciones[usuario]
if usuario == 0:
    print("\nHas elegido desafiar al sistema con Piedra.")
elif usuario == 1:
    print("\nHas elegido desafiar al sistema con Papel.")
elif usuario == 2:
    print("\nHas elegido desafiar al sistema con Tijera.")
time.sleep(1)
sistema = random.randint(0, len(opciones) - 1)
opcsistema = opciones[sistema]
if sistema == 0:
    print("\nEl sistema eligió desafiarte con Piedra.")
elif sistema == 1:
    print("\nEl sistema eligió desafiarte con Papel.")
elif sistema == 2:
    print("\nEl sistema eligió desafiarte con Tijera.")
time.sleep(1)
if opcusuario == opcsistema:
    print("\nEmpate.\n")
else:
    if (
        (opcusuario == "Piedra" and opcsistema == "Tijera")
        or (opcusuario == "Papel" and opcsistema == "Piedra")
        or (opcusuario == "Tijera" and opcsistema == "Papel")
    ):
        print("\n¡ENHORABUENA! Has ganado la partida.\n")
    else:
        print("\nLo siento. Has perdido. Prueba otra vez.\n")
